<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$sessao = new sessao();
$mesNumero=$sessao->getVar('controle');
$nomeLaso=$sessao->getVar('controle3');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$inicio=$sessao->getVar('inicio');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 //$maximoLAdobe=297;//isso para horizontal
 //$maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=10;
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 //$larguraUtil=$maximoLAdobe;
 $cinza=220;
 //$fonte="Arial";
 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 //define os parametros laso
 $comNomeCientifico="NAO";
 $dadosLabo[1][1]="LASO/LFDA-MG ";
$dadosLabo[1][2]="Av. Raja Gabaglia, n° 245, Setor S";
$dadosLabo[1][3]="Bairro Cidade Jardim";
$dadosLabo[1][4]="CEP: 30.380-103";
$dadosLabo[1][5]="Belo Horizonte/MG";
$dadosLabo[1][6]="(31) 3253 3135";

$dadosLabo[2][1]="LASO/LFDA-GO";
$dadosLabo[2][2]="Rua da Divisa, s/n°";
$dadosLabo[2][3]="Bairro Setor Jaó";
$dadosLabo[2][4]="CEP: 74.674-025";
$dadosLabo[2][5]="Goiânia/GO";
$dadosLabo[2][6]="(62) 3232 7200";

$dadosLabo[3][1]="LASO/LFDA-RS";
$dadosLabo[3][2]="Estrada Retiro da Ponta Grossa n° 3036";
$dadosLabo[3][3]="Bairro Ponta Grossa";
$dadosLabo[3][4]="CEP: 91.780-580";
$dadosLabo[3][5]="Porto Alegre/RS";
$dadosLabo[3][6]="(51) 3248 2133";

$dadosLabo[4][1]="LASO/LFDA-PE";
$dadosLabo[4][2]="Av. General San Martin n° 1000";
$dadosLabo[4][3]="Bairro Bongi";
$dadosLabo[4][4]="CEP: 50630-060";
$dadosLabo[4][5]="Recife/PE";
$dadosLabo[4][6]="(81) 3231 9576";

if($cliente=="BAREN" || $cliente=='QUALITESTE' || $cliente=='LACADOR' || $cliente=='SEEDS' || $cliente=='UFLA')$codigoLASO=1;//belo horizonte
if($cliente=="LAS CONCEITO" || $cliente=='VIGOR' || $cliente=='CITYCORP' || $cliente=='SEMPRE'  || $cliente=='LIMAGRAIN')$codigoLASO=2;//GOIANIA
if($cliente=="LASSUL" || $cliente=='TS LABORATORIO' || $cliente=='UNIJUI'  || $cliente=='IRGA' || $cliente=='ADV'   )$codigoLASO=3;//PORTO ALEGRE
if($cliente=="" || $cliente=='' )$codigoLASO=4;//recife

if($cliente=='QUALITESTE' || $cliente=="BAREN"  )$comNomeCientifico="SIM";
 
if($comNomeCientifico=='SIM'):
   $sql="select fic_id,esp_nome,esp_nome_cientifico,esp_tipo,doc_numero,fic_amostra,fic_analise_reanalise,esp_ensaios_analise,esp_ensaios_reanalise from ficha,cultivar,especies,documentos,documentosponte  where doc_tipo='Boletim' and fic_labo=".$idLabo." and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoCorrente."'  and MONTH(doc_data)='".$mesNumero."' and fic_cultivar=ctv_id && ctv_especie=esp_id order by esp_nome_cientifico";	
else:
   $sql="select fic_id,esp_nome,esp_nome_cientifico,esp_tipo,doc_numero,fic_amostra,fic_analise_reanalise,esp_ensaios_analise,esp_ensaios_reanalise from ficha,cultivar,especies,documentos,documentosponte  where doc_tipo='Boletim' and fic_labo=".$idLabo." and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoCorrente."'  and MONTH(doc_data)='".$mesNumero."' and fic_cultivar=ctv_id && ctv_especie=esp_id order by esp_nome";	
endif;

//echo("sqlSeletor=$sqlSeletor<br>");

//ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
$generica->extras_select =$sql;
$generica->selecionaCamposEspecial($generica);

$contador=0;

$contaRegistros=0;
$espacie1="@";
$larguraLinha=4;
$totalAmostrasAnalise=0;
$totalEnsaiosAnalise=0;
$totalAmostrasReanalise=0;
$totalEnsaiosReanalise=0;
$bolMaior=0;
$bolMenor=10000;
$contaRegistros=0;
while ($res = $generica->retornaDados()):
    $contaRegistros++;
	if($comNomeCientifico=='SIM'):
       $especie2=$res->esp_nome_cientifico;
	else:
	   $especie2=$res->esp_nome;
	endif;   
	$tipoX=$res->esp_tipo;//lab nome
    $ensaiosAnalise=$res->esp_ensaios_analise;
    $ensaiosReanalise=$res->esp_ensaios_reanalise;
	$situacao=$res->fic_analise_reanalise;
	$amostraLong=$res->fic_id;
    $numeroBoletim=$res->doc_numero;
    if($numeroBoletim>$bolMaior)$bolMaior=$numeroBoletim;
    if($numeroBoletim<$bolMenor)$bolMenor=$numeroBoletim;
    $matrizTestes[0][$contaRegistros]="AM=".$res->fic_amostra;
    if($especie1!=$especie2):
        $contaAdicionaisPMS=0; 
        $contaAdicionaisDTU=0; 
        $contaAdicionaisTZO=0; 
		$contaAmostrasAnalise=0;
		$contaEnsaiosAnalise=0;
		$contaAmostrasReanalise=0;
		$contaEnsaiosReanalise=0;
	    $contador++;
        $conteudo[$contador][1]=$res->esp_tipo;//lab nome
        //$conteudo[$contador][2]=$res->esp_nome;//lab nome
        $conteudo[$contador][2]=$especie2;//lab nome
	    $especie1=$especie2;
		//teste adicional é aquele dtu,pms que pode ou nao ter sido feito
		$testeAdicional[$contador][1]="";//pms
		$testeAdicional[$contador][2]="";//dt1
		$testeAdicional[$contador][3]="";//tzo
		$testeAdicional[$contador][4]="";//ver
    endif;//testa se especie2<>de especie1
	//vai pegar as analises feitas///////////////////////////////////
	//aqui vou capturar tudo da REAN1
	$contaTestes=0;
	////////////////////////////////////////////////////
if($cliente!='LIMAGRAIN')://limagrain nao vai pesquisar outros testes
	//aqui vou capturar tudo da REAN1
	$contaTestes=0;
   	$genericaRean=new tabelagenerica();
	$genericaRean->tabela="rean1";
	$genericaRean->campos_valores = array(
		   "rea_teste" => NULL,
		   "rea_v1" => NULL,
		   "rea_v2" => NULL,
		   "rea_v3" => NULL,
		   "rea_v4" => NULL,
		   "rea_v5" => NULL,
		   "rea_v6" => NULL,
	);
	$genericaRean->extras_select =" where rea_boletim='S' and rea_ficha=".$amostraLong;
	$genericaRean->selecionaCampos($genericaRean);
    $testesNestaAmostra=0;
	//vai percorrer a tabela rean para ver todos testes nesta ficha se tem o teste e foi informado valor ele atribui o valor 1 na variavel 
	
	$saoTomeVER=0;
	$saoTomePMS=0;
    

	while($resgenericaRean= $genericaRean->retornaDados()):
	   $contaTestes++;
       $teste= $resgenericaRean->rea_teste;
       $matrizTestes[$contaTestes][$contaRegistros]=$teste.'='.$resgenericaRean->rea_v1 .'s='.$situacao;
	   if($teste=='PMS'  && $resgenericaRean->rea_v1>0):
	       $contaAdicionaisPMS++;
	       $saoTomePMS=1;
	       $testesNestaAmostra++;
		   $testeAdicional[$contador][1]="(+".$contaAdicionaisPMS."PMS) ";
	   endif;	   
	   if($teste=='VER'  && $resgenericaRean->rea_v1>0):
	      $saoTomeVER=1;//
	      $testesNestaAmostra++;
		  $testeAdicional[$contador][4]="(+VER) ";
	   endif;

       if($teste=='DTU' && $resgenericaRean->rea_v1>0):
	      $contaAdicionaisDTU++;
	      $testesNestaAmostra++;
		  $testeAdicional[$contador][2]="(+".$contaAdicionaisDTU."DTU) ";
	   endif;	  
	   if($teste=='TZO'  && $resgenericaRean->rea_v1>0):
	   	  $contaAdicionaisTZO++;
	      $testeAdicional[$contador][3]="(+".$contaAdicionaisTZO."TZO)";
	      $testesNestaAmostra++;
	   endif;	  
	   if($teste=='GERM'  && $resgenericaRean->rea_v1>0):
	      $testesNestaAmostra++;
       endif;	  
	   //echo("882 teste=$teste<br>");   
    endwhile;
    //if($saoTomeVER==0 && $saoTomePMS==1)$saoTomeVER=1;	
	 //SE VERIFICACAO NAO FOI FEITA ELE AINDA TESTA SE É FORRAGEIRA E SE FEZ PMS 	
    if($saoTomeVER==0):
        if(substr(strtoupper($tipoX ?? ""),0,2)=="FO"  && $saoTomePMS==1):
		    $saoTomeVER=1;// SE FOR FORRRAGEIRA E SE FEZ PMS DEDUZ QUE FEZ VERIFICACAO MESMO NAO TENDO MAPEADO NEM INFORMADO
	        $testesNestaAmostra++;
		    $testeAdicional[$contador][4]="(+VER) ";
		endif;		
	endif;
	
	
	
	////////////////////////////////////////////////////
    $ensaiosAnalise+=$testesNestaAmostra;
 endif;//PERGUNTA SE É diferente de  LIMAGRAIN 





    //adiciona ensaios feitos feitos nesta amostra segundo cada especie
    if($situacao=="1"):
	       $contaEnsaiosAnalise+=$ensaiosAnalise;
	       $totalEnsaiosAnalise+=$ensaiosAnalise;
	else:
	       $contaEnsaiosReanalise+=$ensaiosReanalise;
	       $totalEnsaiosReanalise+=$ensaiosReanalise;
	endif;	   
   //vai contar as amostras encontradas na filtragem considerando a situacao analise e demais situacoes(reembalagem e reteste)
   if($situacao=='1'):		
	    $contaAmostrasAnalise++;
	    $totalAmostrasAnalise++;
	else:  
    	$contaAmostrasReanalise++;
	    $totalAmostrasReanalise++;
	endif;


    //fim da parte que pega as analises feitas nesta amostra agora imprime o que apareceu...
    $alturaLinha=3; 
    for($j=1;$j<=4;$j++):
	   $cotaE1=50;
       for($i=0;$i<=8;$i++):
          $cotaE1+=$alturaLinha;
	      $pdf->setXY($margemEsquerda+$j*30,$cotaE1);
          //$pdf->Cell(20,$alturaLinha,$matrizTestes[$i][$j],0,0,'L');//lab nome
	   endfor; 
	endfor;    	
 
    $conteudo[$contador][3]=$contaAmostrasAnalise;//lab nome
    $conteudo[$contador][4]=$contaEnsaiosAnalise;//lab nome 
	$conteudo[$contador][5]=$contaAmostrasReanalise;//lab nome
	$conteudo[$contador][6]=$contaEnsaiosReanalise;//lab nome
	
endwhile;




//monta a linha de totais
$contador++;
$conteudo[$contador][1]="-";//lab nome
$conteudo[$contador][2]="Total=";//lab nome
$conteudo[$contador][3]=$totalAmostrasAnalise;//lab nome
$conteudo[$contador][4]=$totalEnsaiosAnalise;//lab nome
$conteudo[$contador][5]=$totalAmostrasReanalise;//lab nome
$conteudo[$contador][6]=$totalEnsaiosReanalise;//lab nome


//IMPRIME A MATRIZ CONTEUDO
$largura[1]=48;
$largura[2]=69;
$largura[3]=19;
$largura[4]=19;
$largura[5]=19;
$largura[6]=19;

$novaPagina="SIM";
$contaLinhasImprimidas=0;
//importante entender que aqui ele imprime mas so imprime o cabecalho se passar do numero x de linhas


for($linha=1;$linha<=$contador;$linha++):
  $pdf->setXY($margemEsquerda,$cota1);
  if($contaLinhasImprimidas>30)$contaLinhasImprimidas=0;
  ///cabecalho/////////////////////////////////////////////////////////////////////////////
  if($contaLinhasImprimidas==0):
          
	//IMPRIME A LOGO DO MINISTERIO
	$pdf->AddPage();//adicionando a primera pafina 
	$posicaoCab1=$margemEsquerda;
	$posicaoCab2=45;
	$cota1=3;
	//dizeres do cabecalho
	$caminhoFinal1="Imagens/logotipo_brazao_pequeno.jpg";
	//aqui vou por a tabela//////////////////////////////////




	$pdf->Image($caminhoFinal1,$margemEsquerda,$cota1,15,15,'JPG'); 
	$salto=3;
	$pdf->SetFont('Arial','B',8);
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("Ministério da Agricultura e Pecuária"),0,1,'L');//lab nome
	//$pdf->Cell(140,5,"Ministério da Agricultura e Pecuária",0,1,'L');//lab nome

	//linha2
	$pdf->SetFont('Arial','',8);
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("MAPA/SDA/DTEC/CGAL"),0,1,'L');//lab nome
	//linha3
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("Coordenação de Gestão de Qualidade Laboratorial - CQL"),0,1,'L');//lab nome
	//linha4
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("Divisão de Fiscalização, Auditoria e Credenciamento - DIFAC"),0,1,'L');//lab nome
	//linha5
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("FORMULÁRIO - FOR"),0,1,'L');//lab nome
	//linha6 nome do relatorio
	$cota1+=2*$salto;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,5,utf8_decode("FOR DIFAC/014/02 - Relatório Mensal de Análises de Sementes, por espécie"),1,1,'C');//lab nome
	//logo do lab
	$cota1+=2*$salto;
	$caminhoFinal2="ImagensClientes/i".$idLabo.".JPG";
	$pdf->Image($caminhoFinal2,$margemEsquerda,$cota1,32,17,'JPG');
	//identificação do laboratório
	$pdf->SetFont('Arial','',10);
	$posicaoCab2=80;
	$pdf->setXY($posicaoCab2,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+4);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+8);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+12);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[3]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+16);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[4]),0,1,'L');//lab nome
/////////////////////////////////////////////////////////////////////////////////////
//imprime o local e data
$pdf->SetFont('Arial','',8);
$pdf->setXY(120,50);
$dataHoje=date("d/m/Y");
$dia=date("d");
$mes=date("m");
$mesRetornado=$objetocalculo->mesExtenso($mes);//retorna o mes por extenso se for ingfrmado o mes numerico
$ano=date("Y");
$textoEnormeLocalData=$vetorCabecalho[6].', '. $dia . " de " .$mesRetornado.' de ' . $ano;
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnormeLocalData),0,0,'L');//lab nome



$cotaLaso=$cota1+30;
$pdf->setXY($margemEsquerda,$cotaLaso);
$pdf->Cell(100,$larguraLinha,utf8_decode("DADOS E ENDEREÇO DO LASO SUPERVISOR"),0,0,'L');//lab nome
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][1]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][2]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][3]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][4]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][5]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][6]),0,0,'R');//lab nome

$pdf->setXY($margemEsquerda,70);
$textoEnorme='Ao '. $dadosLabo[$codigoLASO][1];
$pdf->Cell(100,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome








//imprime o prezado
$pdf->setXY($margemEsquerda,80);
$textoEnorme='Prezado '. $nomeLaso;
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome
$pdf->SetFont('Arial','',7);
//imprime numero do boletim menor e maior
$pdf->setXY($margemEsquerda,87);
if($bolMenor<10000):
	$textoEnorme='Segue abaixo o quantitativo de amostras analisadas, de acordo com a espécie no mes de ' .$mesNumero." de " . $anoCorrente ." correspondente aos Boletins de Análise de Sementes Nº".$bolMenor.'/'.$anoCorrente.  ' a ' . $bolMaior.'/'.$anoCorrente.".";
	$loteEnorme1='Segue abaixo o quantitativo de amostras analisadas, de acordo com a espécie no mes de ' .$mesNumero." de " . $anoCorrente ." correspondente aos Boletins de Análise de ";
	$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//primeira linha
    $pdf->setXY($margemEsquerda,90);
	$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode(" emitidos no mes de " .$mesNumero. " de ".$ano.". "),0,0,'L');//drginda linha
	$loteEnorme2=" Sementes Nº".$bolMenor.'/'.$anoCorrente.  ' a ' . $bolMaior.'/'.$anoCorrente.", emitidos no mes de " .$mesNumero. " de ".$anoCorrente.".";//segunda linha

else:
	$textoEnorme='Segue abaixo o quantitativo de amostras analisadas, de acordo com a espécie no mes de ' .$mesNumero." de " . $anoCorrente ." (Neste mes não foram feitos Boletins).";
	$loteEnorme1=$textoEnorme;
	$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome
endif;
					

////////////////////////////////////////////////////////////////////////////////////
	//aqui vao as linhas de identificaco


	//tabela de dados em si
	$cota1+=70;
	$posicaoCab2=$margemEsquerda+69+48;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($largura[1],10,utf8_decode("GRUPO*"),1,0,'L');//lab nome
	$pdf->Cell($largura[2],10,utf8_decode("ESPÉCIE"),1,0,'L');//lab nome
	$pdf->Cell($largura[3]+$largura[4],4,utf8_decode("ANÁLISES"),1,0,'C');//lab nome
	$pdf->Cell($largura[5]+$largura[6],4,utf8_decode("REANÁLISES**"),1,0,'C');//lab nome
	$cota1+=4;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->SetFont('Arial','',7);
	$larguraColunasDados=19;
	$pdf->Cell($largura[3],6,utf8_decode("Nº de amostras"),1,0,'C');//lab nome
	$pdf->Cell($largura[4],6,utf8_decode("Nº de ensaios"),1,0,'C');//lab nome
	$pdf->Cell($largura[5],6,utf8_decode("Nº de amostras"),1,0,'C');//lab nome
	$pdf->Cell($largura[6],6,utf8_decode("Nº de ensaios"),1,1,'C');//lab nome
	//comeca o relatorio em SI_
	$cota1+=6;
endif;//testa se é para dar salto de pagina

//ele vai criar o cabecalho so uma vez pois no excel nao pode ter dois cabecalhos.....
if($linha==1):
//AQUI TRANSFERE PARA O EXCEL TODA PARTE DE CIMA VABELAHO, EMPESA MINISTERIO LOTES ETC
//joga CABECALHO E IDENTIFICACOES  no excel//////////////////////////////////////////////////////////
	//cria a tabela que vai exportar para excel
	$tabela = '<table border="1">';
    $tabela .= '<tr>';
	//linha 1
	$tabela .= '<tr>';
	$tabela .= '<td><img src="'.BASEURL.'/'.$caminhoFinal1.'"/></td>';
	
	$tabela .= '<td colspan="5">'.utf8_decode('Ministério da Agricultura e Pecuária').'</td>';
    //segunda linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="5">'.utf8_decode('MAPA/SDA/DTEC/CGAL').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //terceira linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="5">'.utf8_decode('Coordenação de Gestão de Qualidade Laboratorial - CQL').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //quarta  linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="5">'.utf8_decode('Divisão de Fiscalização, Auditoria e Credenciamento - DIFAC').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //quinta linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="5">'.utf8_decode('FORMULÁRIO - FOR').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //nome do for difac
	$tabela .= '<tr>';
	$tabela .= '<td align="center" colspan="6">'.utf8_decode('FOR DIFAC/014/02 - Relatório Mensal de Análises de Sementes, por espécie').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
	//dados do laboratorio		 
	//linha 1
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2"><img src="'.BASEURL.'/'.$caminhoFinal2.'"/></td>';
	$tabela .= '<td colspan="4">'.utf8_decode($vetorCabecalho[0]).'</td>';
    $tabela .= '</tr>';
	
    //segunda linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[1]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //terceira linha do cabecalho
	$tabela .= '</tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[2]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
    //quarta  linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[3]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
    //quinta  linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[4]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
	//TRANSFERE PARA EXCEL LOCAL E DATA
	$tabela .= '</tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4" >'.utf8_decode($textoEnormeLocalData).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
	//TRANSFERE PARA EXCEL DADOS E ENDERECO DO LASO SUPERVISOR(ECNCAI XADO VAI O PREZADO  EO NOME DO LASO)
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">'.utf8_decode('DADOS E ENDEREÇO DO LASO SUPERVISOR').'</td><td colspan="4">'.utf8_decode($dadosLabo[$codigoLASO][1]).'</td>';//usa para o titulo x colunas como definido em coslpan
	$tabela .= '</tr>';
	
	
	//TRANSFERE PARA EXCEL DADOS E ENDERECO DO LASO SUPERVISOR
    //PRIMEIRA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][2]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //SEGUNDA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][3]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //TERCEIRA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][4]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //QUARTA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][5]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //QUINTA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][6]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
  
	
	//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

	
	//TRANSFERE PARA EXCEL AS LINHAS ONDE FALA QUAIS OS LOTES ETC
    //PRIMEIRA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td colspan="6">'.utf8_decode($loteEnorme1).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //SEGUNDA LINHA 
	$tabela .= '</tr>';
	$tabela .= '<td colspan="6">'.utf8_decode($loteEnorme2).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

//AQUI LOGA GRUPOS ANALISE REANALISE
    $rotu1="ESPÉCIE";
    $rotu2="ANÁLISES";
    $rotu3="REANÁLISES**";
	$tabela .= '</tr>';
	$tabela .= '<td  rowspan="2">GRUPO*</td><td  rowspan="2">'.utf8_decode($rotu1).'</td><td colspan="2">'.utf8_decode($rotu2).'</td><td colspan="2">'.utf8_decode($rotu3).'</td>';//ESpECiE</td>usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr><tr>';
	$tabela .= '<td>AMOSTRAS</td><td>ENSAIOS</td><td>AMOSTRAS</td><td>ENSAIOS</td>';//ESPÉCIE</td>usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
endif;//este endif fecha um if para so colocar o cabecalo do acess uma vez




	////FIM DA ETAPA DE JOGAR NO EXCEL O CABECALHO/////////////////////////////////////////////////////
//FIM DA FASE DE jogaR CABECALHO E IDENTIFICACOES  no excel//////////////////////////////////////////////////////////





///////////////////////////////////// 
//AQUI REALMENTE VAI IMPRIMIR A TABELA/////////////////////////////////////
	//$tabela .= '</tr>';


$pdf->SetFont('Arial','',7);
$contaLinhasImprimidas++; 
/*aqui vai o seguinte algoritmo:
1-ele entra para cada linha e vai imprimir todas colunas de 1 a 6
2-vou criar o conteudo pois ele varia se for minas gerais( $codigoLASO==1 ) ele poe TESTES FORAM ENCONTRADOS(VER_PMS+INF))
3-se for tamanho da string >20 ele vai colocar multicel e adiantar o avanco da linha
4-se a opcao imprimir italico na coluna 2 entao ele vai mudar a fonte
*/
$conteudo[$linha][1]=$conteudo[$linha][1];
$conteudo[$linha][2]=$conteudo[$linha][2];
//o segundo texto agrega os TESTES FORAM ENCONTRADOS(VER_PMS+INF))
if($codigoLASO==1)$conteudo[$linha][2]=$conteudo[$linha][2].$testeAdicional[$linha][1].$testeAdicional[$linha][2].$testeAdicional[$linha][3].$testeAdicional[$linha][4];
$avancoMulticel=0;
$posicaoCorrente[1]=$margemEsquerda;
$posicaoCorrente[2]=$margemEsquerda+$largura[1];
$posicaoCorrente[3]=$margemEsquerda+$largura[1]+$largura[2];
$posicaoCorrente[4]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3];
$posicaoCorrente[5]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3]+$largura[4];
$posicaoCorrente[6]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3]+$largura[4]+$largura[5];
$avancoMulticel=0;
//verifica se o primeiro ou o segundo deve ter quebra de linha pois ai vao fazer o rect com altura dobrada
$tabela .= '<tr>';


for($coluna=1;$coluna<=2;$coluna++):
   $textoImprimir=$conteudo[$linha][$coluna];  
   $tama=strlen($textoImprimir); 
   if($tama>38):
     $avancoMulticel=$larguraLinha;
   endif;	  
endfor;

for($coluna=1;$coluna<=6;$coluna++):
   $tabela .= '<td>'.utf8_decode($conteudo[$linha][$coluna]);	
   $pdf->setXY($posicaoCorrente[$coluna],$cota1);
   $textoImprimir=$conteudo[$linha][$coluna];  
   //$tama=strlen($textoImprimir); 
   //if($tama>38):
     //$avancoMulticel=$larguraLinha;
   //endif;	
	if($coluna==2 && $comNomeCientifico=="SIM"):
	  $pdf->SetFont('Arial','I',7);
	else:
	   $pdf->SetFont('Arial','',7);
	endif;     
   $pdf->MultiCell($largura[$coluna],3,utf8_decode($textoImprimir),0,'L',false);//lab nome
   $pdf->Rect($posicaoCorrente[$coluna],$cota1,$largura[$coluna],$larguraLinha+$avancoMulticel);
   // else:      
   //$pdf->Cell($largura[$coluna],$larguraLinha,utf8_decode($textoImprimir.$tama.'cello'),1,0,$alinhamento);//lab nome 
   //endif;
   $tabela .= '</td>';
endfor;//for das colunas
$tabela .= '</tr>';
$cota1+=($larguraLinha+$avancoMulticel);
endfor;//for das linhas
$tabela .= '</tr>';





//imprime TEXTO GRANDE NO FINAL
$pdf->SetFont('Arial','',6);
$pdf->setXY($margemEsquerda,$cota1);
$textoEnormeLegenda1='* Fotemp = Forrageiras Temperadas; Fotrop = Forrageiras Tropicais; GC = Grandes Culturas; HO = Olerícolas, CO = Condimentares, ME = Medicinais, AR = Aromáticas; FL = Florestais;  OR = Ornamentais.';
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnormeLegenda1),0,0,'L');//lab nome
$cota1+=3;
$pdf->setXY($margemEsquerda,$cota1);
$textoEnormeLegenda2='**Reanálises conforme o artigo 103,Portaria do MAPA Nº 538, de 20 de dezembro de 2022.';
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnormeLegenda2),0,0,'L');//lab nome
$pdf->SetFont('Arial','',7);

//imprime atenciosamente
$cota1+=10;
$pdf->setXY($margemEsquerda,$cota1);
$textoEnorme='Atenciosamente,';
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome


//imprime nome do rt
$cota1+=10;
//imprime duas linhas para assinar
$pdf->line(100,$cota1,180,$cota1);
//$pdf->line(100,$cota1+12,180,$cota1+12); xx

 //captura o rt
 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
 $idTecnico=$vetorTecnico[5];
$nome=$vetorTecnico[1];//nome do rt
$cargo=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc
$pdf->setXY(100,$cota1);
$pdf->Cell(80,$larguraLinha,utf8_decode($nome),0,0,'C');//lab nome
$pdf->setXY(100,$cota1+6);
$pdf->Cell(80,$larguraLinha,utf8_decode($cargo),0,0,'C');//lab nome
/////parte final////////////////////////////////////////////

//lanca na tabela excel os ultimos dados
$tabela .= '<tr>';
$tabela .= '<td  colspan="6">'.utf8_decode($textoEnormeLegenda1).'</td>';//linha legenda1
$tabela .= '</tr>';

$tabela .= '<tr>';
$tabela .= '<td  colspan="6">'.utf8_decode($textoEnormeLegenda2).'</td>';//linha legenda1
$tabela .= '</tr>';

//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
$tabela .= '<tr>';
$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabela .= '</tr>';

//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
$tabela .= '<tr>';
$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabela .= '</tr>';

//LINHA atenciosamente
$tabela .= '<tr>';
$tabela .= '<td  colspan="6">Atenciosamente</td>';//linha legenda1
$tabela .= '</tr>';
//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
$tabela .= '<tr>';
$tabela .= '<td  colspan="6"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabela .= '</tr>';

//LINHA nome tecnico
$tabela .= '<tr>';
$tabela .= '<td align="center" colspan="6">'.utf8_decode($nome).'</td>';//linha legenda1
$tabela .= '</tr>';

//LINHA cargo tecnico
$tabela .= '<tr>';
$tabela .= '<td align="center"  colspan="6">'.utf8_decode($cargo).'</td>';//linha legenda1
$tabela .= '</tr>';

$tabela .= '</table>';	//FECHA TABELa

$sessao->setVar('controleExcel',$tabela);
		   
		   
		   
		   
		   
 


///////////////////////////////////////////////////////////


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
